.preloader
{
    position: fixed; /*растягивает блок на всю высоту*/
    // background: rgba(0,0,0,.5);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 99;
    transition: 2s; 
    display: flex;
    // // flex-direction: column;
    justify-content: center;
    align-items: center;

    font-family: Arial, Helvetica, sans-serif;

    &:before
    {
        content: '';
        position: absolute;
        background: rgba(0,0,0,.5);
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 1;
    }

    &__inner
    {
        padding: 10px 20px;
        border: 10px solid transparent;
        border-top-color: red;
        border-right-color: red;
        border-radius:107px;
        z-index: 2;
        // position: relative;
        animation: preloader-border 2s linear infinite;
    }

    &__top
    {
        font-size: 30px;
        color: #fff;
        text-align: center;
        animation: preloader-anime 2s linear infinite;
    }
    &__bottom
    {
        font-size: 35px;
        color: #fff;
        text-align: center;
        animation: preloader-anime 2s linear infinite;
    }


    @keyframes preloader-anime {
        0% {text-shadow: 2px 2px #FF0000, 0px -2px #FF0000, -2px 0px #FF0000;}
        25% {text-shadow: 2px 2px #ff9500, 0px -2px #ff9500, -2px 0px #ff9500;}
        50% {text-shadow: 2px 2px #006aff, 0px -2px #006aff, -2px 0px #006aff;}
        75% {text-shadow: 2px 2px #ffffff, 0px -2px #ffffff, -2px 0px #ffffff; color: #000;}
        100% {text-shadow: 2px 2px #FF0000, 0px -2px #FF0000, -2px 0px #FF0000; color: #000;}
    }

    @keyframes preloader-border {
        0% {border-color: transparent;}
        25% {border-color: transparent; border-top-color: red;}
        50% {border-color: transparent; border-right-color:red}
        75% {border-color: transparent; border-bottom-color:red}
        100% {border-color: transparent; border-left-color:red}
    }

}